=== debian/changelog ===
muse (2.0~rc1-1) unstable; urgency=low

  * New upstream RC release.
  * Refresh patches, remove those patches not needed anymore.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Dec 2011 17:12:54 +0100
