=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=release

override_dh_install:
	dh_install -pmuse
	find $(CURDIR)/debian/muse/ -name "COPYING*" -delete
	find $(CURDIR)/debian/muse/ -name "LICENSE" -delete
	find $(CURDIR)/debian/muse/ -name "ChangeLog*" -delete
	dh_install --remaining-packages
