=== muse/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,7 @@
       combobox.h  
       comment.h  
       ctrlcombo.h  
+      custom_widget_actions.h
       dentry.h  
       didyouknow.h
       doublelabel.h  
@@ -66,6 +67,7 @@
       pasteeventsdialog.h
       pitchedit.h  
       pitchlabel.h  
+      pixmap_button.h
       popupmenu.h  
       # posedit.h  
       poslabel.h  
@@ -87,6 +89,7 @@
       tb1.h  
       tempolabel.h  
       tools.h  
+      tracks_duplicate.h
       # ttoolbar.h  
       ttoolbutton.h  
       unusedwavefiles.h
@@ -124,6 +127,7 @@
       shortcutconfigbase.ui  
       songinfo.ui  
       synthconfigbase.ui  
+      tracks_duplicate_base.ui
       transformbase.ui  
       unusedwavefiles.ui
       )
@@ -142,6 +146,7 @@
       combobox.cpp  
       comment.cpp 
       ctrlcombo.cpp 
+      custom_widget_actions.cpp
       dentry.cpp 
       dimap.cpp
       doublelabel.cpp 
@@ -170,6 +175,7 @@
       pasteeventsdialog.cpp
       pitchedit.cpp 
       pitchlabel.cpp 
+      pixmap_button.cpp
       popupmenu.cpp 
       # posedit.cpp 
       poslabel.cpp
@@ -193,6 +199,7 @@
       tb1.cpp   
       tempolabel.cpp 
       tools.cpp 
+      tracks_duplicate.cpp
       # ttoolbar.cpp 
       ttoolbutton.cpp 
       unusedwavefiles.cpp
