=== debian/changelog ===
muse (2.0~rc2-1) unstable; urgency=low

  * New upstream RC.
  * Refresh 1001-buildsystem.patch

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 Jan 2012 13:48:59 +0100
