=== muse/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 ##
 QT4_WRAP_CPP (widget_mocs
       aboutbox_impl.h 
+      arrangercolumns.h 
       action.h
       bigtime.h  
       canvas.h  
@@ -44,6 +45,7 @@
       dentry.h  
       didyouknow.h
       doublelabel.h  
+      doublespinbox.h  
       filedialog.h  
       genset.h  
       mdisettings.h  
@@ -55,6 +57,7 @@
       menutitleitem.h
       meter.h
       metronome.h  
+      midi_audio_control.h  
       midisyncimpl.h  
       mixdowndialog.h  
       mlabel.h  
@@ -79,9 +82,11 @@
       # sigedit.h  
       siglabel.h  
       sigscale.h  
+      sig_tempo_toolbar.h 
       slider.h  
       sliderbase.h  
       songinfo.h
+      songpos_toolbar.h
       spinbox.h  
       spinboxFP.h  
       splitter.h  
@@ -104,6 +109,7 @@
 ##
 file (GLOB widgets_ui_files
       aboutbox.ui  
+      arrangercolumnsbase.ui 
       appearancebase.ui 
       cliplisteditorbase.ui  
       commentbase.ui  
@@ -117,6 +123,7 @@
       itransformbase.ui  
       metronomebase.ui  
       midisync.ui  
+      midi_audio_control_base.ui  
       mittransposebase.ui  
       mixdowndialogbase.ui  
       mtrackinfobase.ui
@@ -138,6 +145,7 @@
 ##
 file (GLOB widgets_source_files
       aboutbox_impl.cpp 
+      arrangercolumns.cpp 
       bigtime.cpp 
       canvas.cpp 
       checkbox.cpp 
@@ -150,6 +158,7 @@
       dentry.cpp 
       dimap.cpp
       doublelabel.cpp 
+      doublespinbox.cpp
       drange.cpp
       filedialog.cpp 
       genset.cpp 
@@ -162,6 +171,7 @@
       menutitleitem.cpp
       meter.cpp
       metronome.cpp 
+      midi_audio_control.cpp 
       midisyncimpl.cpp 
       mixdowndialog.cpp 
       mlabel.cpp 
@@ -190,8 +200,10 @@
       # sigedit.cpp 
       siglabel.cpp 
       sigscale.cpp 
+      sig_tempo_toolbar.cpp 
       slider.cpp 
       sliderbase.cpp 
+      songpos_toolbar.cpp 
       spinbox.cpp 
       spinboxFP.cpp 
       splitter.cpp
