=== debian/changelog ===
muse (2.0-1) unstable; urgency=low

  * New stable release.
  * debian/rules: Exclude muse/widgets/arrangercolumns.{cpp,h}~ from being
    deleted by dh_clean.
  * Drop 0002-gcc_hardening.patch, applied upstream.
  * Drop 0003-ftbfs_gcc47.patch, applied upstream.
  * Refresh 1001-buildsystem.patch.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jul 2012 16:07:06 +0200

muse (2.0~rc2-2) unstable; urgency=low

  * Fix build failure with GCC 4.6.
    Thanks to Matthias Klose (Closes: #667290)
  * Update debian/copyright.
  * Update Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 Apr 2012 17:57:37 +0200
