=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
 Build-Depends:
  cmake,
  debhelper (>= 7.4.10~),
@@ -16,17 +17,19 @@
  libsamplerate0-dev,
  libsndfile1-dev,
  uuid-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.muse-sequencer.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/muse.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/muse.git
 
 Package: muse
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
  python,
- ${misc:Depends}
-Suggests: jackd
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ jackd
 Description: Qt4-based audio/MIDI sequencer
  MusE is a MIDI/audio sequencer with recording and editing capabilities.
  Some Highlights:
